/**
 * @author Marc-Oliver Pahl
 *
 * This class is based on the books* example p. 191.
 * major differences:
 *  - fields are set by their selectors
 *  - constructors with less parameters call those with more
 *    not vice versa. (Thanks to Wolfgang Westje!).
 *    + should be faster
 *    + should be more readible
 * 
 *  *book: Kchlin, Weber, Einfhrung in die Informatik Objekt-
 *         orientiert mit Java, 2. Auflage, Springer 2003
 */
public class Date {
	private int day, month, year;
	private static final byte D = 1;
	private static final byte M = 1;
	private static final short Y = 1900;
	
	// constructors
	public Date(){ this(D, M, Y); }
	public Date(int y){ this(D, M, y); }
	public Date(int m, int y){ this(D, m, y); }
	public Date(int d, int m, int y){ setDay(d); setMonth(m); setYear(y); }
	
	// selectors (these are also class methods)
	public int getDay(){ return day; }
	public int getMonth(){ return month; }
	public int getYear(){ return year; }
	
	public void setDay(int d){ day=d; }
	public void setMonth(int m){ month=m; }
	public void setYear(int y){ year=y; }
	
	// methods
	public String toString(){ return (day+"."+month+"."+year); }
	// for more information about the toString-methods purpose
	// see JDK-Doc "Object"
}
